Loading ...
Sorry, an error occurred while loading the content.

Re: Fwd: inquiry regarding vim patch to support python3 interface

Expand Messages
  • Matt Wozniski
    ... +1 for :py3 being the best compromise. ~Matt --~--~---------~--~----~------------~-------~--~----~ You received this message from the vim_dev maillist.
    Message 1 of 8 , Sep 5, 2009
    • 0 Attachment
      On Thu, Sep 3, 2009 at 7:13 AM, Bram Moolenaar wrote:
      >
      > Perhaps we should use ":py3", with the requirement that white space
      > follows.  It's not perfect, but probably the best compromise.
      > Is ":py_3" better?  Looks strange.
      >
      > - When Vim was compiled with Python 2.x ":py3" gives an error
      > - When Vim was compiled with Python 3.x ":python" gives an error
      > - When Vim was compiled with both 2.x and 3.x both commands work

      +1 for ":py3" being the best compromise.

      ~Matt

      --~--~---------~--~----~------------~-------~--~----~
      You received this message from the "vim_dev" maillist.
      For more information, visit http://www.vim.org/maillist.php
      -~----------~----~----~----~------~----~------~--~---
    Your message has been successfully submitted and would be delivered to recipients shortly.